#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>

int level = 0;

int Debug(char *msg){
#ifdef __DEBUG__
  return printf("%s\n", msg);
#else
  return 0;
#endif
}

int print(int level, char *msg){
  if(level <= getlevel())
    return printf("%s", msg);
  return 0;
}

int getlevel(){
  return level;
}

void setlevel(int l){
  level = l;
}

void inclevel(){
  level++;
}
